curl --request PATCH \
--url https://workspace.basaltic.sh/v1/organizations/{organization_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"captcha_token": "03AGdBq24...",
"language": "en",
"time_zone": "America/Sao_Paulo",
"name": "Acme Corporation",
"description": "Cloud infrastructure for Acme Corporation"
}
'import requests
url = "https://workspace.basaltic.sh/v1/organizations/{organization_id}"
payload = {
"captcha_token": "03AGdBq24...",
"language": "en",
"time_zone": "America/Sao_Paulo",
"name": "Acme Corporation",
"description": "Cloud infrastructure for Acme Corporation"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
captcha_token: '03AGdBq24...',
language: 'en',
time_zone: 'America/Sao_Paulo',
name: 'Acme Corporation',
description: 'Cloud infrastructure for Acme Corporation'
})
};
fetch('https://workspace.basaltic.sh/v1/organizations/{organization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization": {
"language": "en",
"time_zone": "America/Sao_Paulo",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Acme Corporation",
"description": "Cloud infrastructure for Acme Corporation",
"owner_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "active",
"suspension_reason": "billing",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-16T14:20:00Z",
"crn": "crn:workspace:::organization/current"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Atualizar a organização
Atualizar uma organização existente
workspace:UpdateOrganization. Consulte permissões de Workspace para obter a lista completa, o que cada uma abrange e um exemplo de política.Authorizations
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Path Parameters
ID da organização
Body
Token Google reCAPTCHA para proteção contra bots
"03AGdBq24..."
Idioma para e-mails operacionais e de faturamento da organização, independente da preferência de console de cada usuário.
en, pt-BR, es Fuso horário IANA para formatação de e-mails da organização. Não altera períodos de faturamento ou agendamentos de recursos.
"America/Sao_Paulo"
1 - 255"Acme Corporation"
1000"Cloud infrastructure for Acme Corporation"
Response
Organização atualizada
Show child attributes
Show child attributes

